export async function test(title, fn) {
    var _a;
    try {
        await fn();
    }
    catch (e) {
        // Fail
        console.log(`\tX ${title}`);
        if (e instanceof Error) {
            // Filter self from stack trace
            e.stack = (_a = e.stack) === null || _a === void 0 ? void 0 : _a.split('\n').filter((s) => !s.includes(import.meta.url)).join('\n');
            // Log error
            console.error(e.stack);
            // Exit
            process.exit(1);
        }
        // Not an Error, throw as it is
        throw e;
    }
    // Success
    console.log(`\t  ${title}`);
}
